> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mf-atlas.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order proposal

> Fetches an order proposal (or, once confirmed, the live order/payment status) via a public link.



## OpenAPI

````yaml /openapi.yaml get /api/public/v1/order-links/{link_id}
openapi: 3.0.3
info:
  title: MF Atlas API
  version: 1.0.0
servers:
  - description: Sandbox
    url: https://api-sandbox.mf-atlas.space
  - description: Production
    url: https://api.mf-atlas.space
security:
  - bearerAuth: []
paths:
  /api/public/v1/order-links/{link_id}:
    get:
      tags:
        - public-orders
      summary: Get order proposal
      description: >-
        Fetches an order proposal (or, once confirmed, the live order/payment
        status) via a public link.
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  confirmed:
                    type: boolean
                  link_id:
                    type: string
                  order:
                    type: object
                  payment_ready:
                    type: boolean
                  proposal:
                    type: object
                type: object
          description: Order proposal or status
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque bearer token from POST /api/auth/v1/token
      scheme: bearer
      type: http

````